Bug 141829 - [maintainer-update] x11-drivers/input-wacom
Summary: [maintainer-update] x11-drivers/input-wacom
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-21 09:40 UTC by Dominic Fandrey
Modified: 2010-01-18 01:01 UTC (History)
0 users

See Also:


Attachments
file.diff (1.20 KB, patch)
2009-12-21 09:40 UTC, Dominic Fandrey
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Fandrey 2009-12-21 09:40:01 UTC
USB module does not build on 8.x, turn it off by default in this case.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-12-21 09:40:11 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-12-21 09:40:13 UTC
Maintainer of x11-drivers/input-wacom,

Please note that PR ports/141829 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141829

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-12-21 09:40:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 kamikaze 2009-12-21 09:48:14 UTC
Accidentally sent with the wrong account - and the wrong version
of the patch, too.

I hate Monday mornings.

This is the right patch:
diff -Nur ports/x11-drivers/input-wacom.orig/Makefile ports/x11-drivers/input-wacom/Makefile
--- ports/x11-drivers/input-wacom.orig/Makefile	2009-12-21 10:20:10.000000000 +0100
+++ ports/x11-drivers/input-wacom/Makefile	2009-12-21 10:36:42.000000000 +0100
@@ -7,7 +7,7 @@
 
 PORTNAME=	input-wacom
 PORTVERSION=	${KLD_VERSION}.${WACOM_VERSION:C/-/./g}
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	x11-drivers kld
 MASTER_SITES=	http://www.chillt.de/bsdwacom/:bsdwacom \
 		SF/linuxwacom/linuxwacom/${WACOM_VERSION}:linuxwacom
@@ -44,15 +44,14 @@
 WACOM_VERSION=	0.8.2-2
 KLD_VERSION=	40
 
-OPTIONS=	UWACOMKLD "Install USB kernel module" On
+OPTIONS=	UWACOMKLD "Install USB kernel module (not supported on 8.x)" Off
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
+.if defined(WITH_UWACOMKLD)
 .if ${OSVERSION} >= 800064
-BROKEN=		does not build
+BROKEN=		does not build with USB support
 .endif
-
-.if defined(WITH_UWACOMKLD)
 PLIST_SUB+=	UWACOMKLD="uwacom.ko"
 PORTTYPE=	usb
 .else
@@ -112,4 +111,4 @@
 	@${ECHO} "===>  Displaying pkg-message."
 	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Comment 5 Philip M. Gollucci freebsd_committer 2010-01-13 01:20:01 UTC
State Changed
From-To: feedback->open

maintainer update
Comment 6 Philip M. Gollucci freebsd_committer 2010-01-13 01:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 7 dfilter service freebsd_committer 2010-01-15 02:55:14 UTC
pgollucci    2010-01-15 02:54:57 UTC

  FreeBSD ports repository

  Modified files:
    x11-drivers/input-wacom Makefile 
  Log:
  - USB module does not build on 8.x, turn it off by default in this case.
  
  PR:             ports/141829
  Submitted by:   Dominic Fandrey <lon_kamikaze@gmx.de>
  
  Revision  Changes    Path
  1.10      +10 -7     ports/x11-drivers/input-wacom/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 kamikaze 2010-01-15 12:01:19 UTC
Wrong patch was committed, port is broken!
Comment 9 Philip M. Gollucci freebsd_committer 2010-01-18 01:01:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!